These are chat archives for coala/coala-bears

14th
May 2018
Harsh Kumar Bhartiya
@harshhx17
May 14 2018 15:32
@jayvdb
Is there anything related to ascii codec or utf-8 that needs to be installed...
Most of the errors in Circleci 2 build is realated to it..
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 482: ordinal not in range(128)
Fabian Neuschmidt
@fneu
May 14 2018 15:48
@harshhx17 sorry I cannot look into it for you but that error doesn't look like something needs to be installed. Rather, it's an error that appears because python decodes some binary stuff with the wrong codec. For example when reading arbitrary files I believe that python by default uses whatever codec is returned by locale.getpreferredencoding(False) and that depends on the platform.
John Vandenberg
@jayvdb
May 14 2018 15:50
@harshhx17 yes. See our docker repo. It has environment variables that must be set
Harsh Kumar Bhartiya
@harshhx17
May 14 2018 15:51
Thanks @fneu @jayvdb
Btw, How were they being set in the circleci 1.0
John Vandenberg
@jayvdb
May 14 2018 15:51
LANG and LANGUAGE
the docker image for circle ci 1 probably preset them
This is why migrating to the same image would be easier ;)
Kriti Rohilla
@kriti21
May 14 2018 15:52
@jayvdb Could you please give your suggestions on https://github.com/coala/cEPs/pull/114#discussion_r187989005 ?
Harsh Kumar Bhartiya
@harshhx17
May 14 2018 15:53
I tried using that image
But it was giving the same errors as this one
It used ~/.circlerc file
Which doesn't exist when I do ssh
Don't know why?
Harsh Kumar Bhartiya
@harshhx17
May 14 2018 17:26
@jayvdb
The Environment variables is not resolving the error :disappointed:
Anything else that might help